Last Comment Bug 296686 - When insert a space with EGBRIDGE(TSM(IME) of Japanese), a next character of caret is deleted
: When insert a space with EGBRIDGE(TSM(IME) of Japanese), a next character of ...
Status: VERIFIED FIXED
[tjp-dl]
: fixed1.8.0.2, inputmethod, intl, verified1.8.1
Product: Core
Classification: Components
Component: Editor (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- normal (vote)
: mozilla1.8.1
Assigned To: Masayuki Nakano [:masayuki] (Mozilla Japan) (working slowly due to injured)
:
Mentors:
Depends on: 317782
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-05 03:02 PDT by Katsuhiro MIHARA
Modified: 2010-06-18 19:00 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Katsuhiro MIHARA 2005-06-05 03:02:39 PDT
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; ja-JPM; rv:1.7.8) Gecko/20050511 Firefox/1.0.4
Build Identifier: version 1.0+ (20050601)

At some condition, in Mail Compose windows's body field, inserting a SP (space,
U+20) between japanese kana or kanji deletes a follower character(kana or
kanji). After that, user can't insert more SP until move the cursor.


Reproducible: Always

Steps to Reproduce:
1.Compose new mail (Either plain text or HTML)
2.put "あいうえお" (aiueo, japanese kana) in body
3.move cursor between two kana
4.switch TSM menu to input alphabet by japanese TSM
5.press space bar to insert a SP
6.press space bar to insert more SPs

Actual Results:  
At 5, user can insert a SP but a follwer character(Japanese kana) is deleted.
At 6, user can't insert more SP until move the cursor.


Expected Results:  
1.A follower character isn't deleted.
2.User can insert two or more SPs.

original report written in japanese:
http://bugzilla.mozilla.gr.jp/show_bug.cgi?id=4436

This bug only occurs when the user uses one of "Big 3" japanese TSM (In Windows
term, IME). But other applications don't have this bug. This bug occurs either
in Mac OS X 10.3.x or 10.4.x.

[bug occurs]
EGBRIDGE 15.0.2

[bug doesn't occur]
KOTOERI (with Mac OS X CD/DVD)
ATOK 16 (ATOK16.component 1.0.4, latest version is ATOK 17)

Q: What *.cpp/*.h I should watch to catch deleting a character?
Comment 1 Gervase Markham [:gerv] 2005-09-27 01:49:57 PDT
This is an automated message, with ID "auto-resolve01".

This bug has had no comments for a long time. Statistically, we have found that
bug reports that have not been confirmed by a second user after three months are
highly unlikely to be the source of a fix to the code.

While your input is very important to us, our resources are limited and so we
are asking for your help in focussing our efforts. If you can still reproduce
this problem in the latest version of the product (see below for how to obtain a
copy) or, for feature requests, if it's not present in the latest version and
you still believe we should implement it, please visit the URL of this bug
(given at the top of this mail) and add a comment to that effect, giving more
reproduction information if you have it.

If it is not a problem any longer, you need take no action. If this bug is not
changed in any way in the next two weeks, it will be automatically resolved.
Thank you for your help in this matter.

The latest beta releases can be obtained from:
Firefox:     http://www.mozilla.org/projects/firefox/
Thunderbird: http://www.mozilla.org/products/thunderbird/releases/1.5beta1.html
Seamonkey:   http://www.mozilla.org/projects/seamonkey/
Comment 2 Gervase Markham [:gerv] 2005-10-13 10:21:38 PDT
This bug has been automatically resolved after a period of inactivity (see above
comment). If anyone thinks this is incorrect, they should feel free to reopen it.
Comment 3 Katsuhiro MIHARA 2005-10-18 16:22:46 PDT
This bug still exists.

Thunderbird version 1.6a1 (20051018)
Mac OS X 10.4.2
EGBRIDGE 15.0.3
Comment 4 Hiro 2005-10-19 01:03:30 PDT
re-open because there is still a problem commnet#3. 
Comment 5 Katsuhiro MIHARA 2005-11-09 06:13:07 PST
This problem is reproduced on Seamonkey.
Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.9a1) Gecko/20051108 SeaMonkey/1.5a
Mac OS X 10.4.3
EGBRIDGE 15.0.3
Comment 6 Katsuhiro MIHARA 2005-11-12 02:49:17 PST
Seamonkey HTML Composer has the same bug.
This bug maybe a problem of HTML Composer.

Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.9a1) Gecko/20051111
SeaMonkey/1.5a
Mac OS X 10.4.3
EGBRIDGE 15.0.3
Comment 7 Katsuhiro MIHARA 2005-11-25 23:14:08 PST
With patch attached in Bug 317782
https://bugzilla.mozilla.org/attachment.cgi?id=204171&action=view
this problem doesn't occur.

Comment 8 Masayuki Nakano [:masayuki] (Mozilla Japan) (working slowly due to injured) 2005-11-26 14:14:19 PST
Probably, This was fixed by bug 317782.

Note You need to log in before you can comment on or make changes to this bug.